Subject: Re: [v6ops] China Mobile's Statement about IPR related to draft-ietf-v6ops-464xlat-00

From: Randy Bush <[email-masked]>
Date: Sat, 02 Feb 2013 15:55:07 +0900

> As a company, China Mobile has spent lots of efforts like expenditure of
> man workforce, time, et al. on some technologies.

luckily, all the rest of us do this as recreation and make no effort

randy

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Sat, 2 Feb 2013 19:23:10 +0000

Mr Wang:

I speak here as one of the chairs of v6ops. This is a formal question from the IETF to China Mobile, and the answer may affect how the IETF treats the posted internet draft..

The question before the house is not whether China Mobile puts effort into what it does; we assume that China Mobile does, just as we all do. The question regards the substance of the IPR claim - what claims have been allowed or filed for in the patent - and whether the claims apply to the current version of the draft. The statements of IPR were on the -00 and -01 versions of the draft, which changed materially before reaching its current status.

The draft proposes no new technology; if that were not true, this working group could not, by charter, consider it. It depends on several other technologies, notably

https://tools.ietf.org/html/rfc6052
6052 IPv6 Addressing of IPv4/IPv6 Translators. C. Bao, C. Huitema, M.
     Bagnulo, M. Boucadair, X. Li. October 2010. (Format: TXT=41849 bytes)
     (Updates RFC4291) (Status: PROPOSED STANDARD)

https://tools.ietf.org/html/rfc6144
6144 Framework for IPv4/IPv6 Translation. F. Baker, X. Li, C. Bao, K.
     Yin. April 2011. (Format: TXT=67181 bytes) (Status: INFORMATIONAL)

https://tools.ietf.org/html/rfc6145
6145 IP/ICMP Translation Algorithm. X. Li, C. Bao, F. Baker. April
     2011. (Format: TXT=76484 bytes) (Obsoletes RFC2765) (Updated by
     RFC6791) (Status: PROPOSED STANDARD)

https://tools.ietf.org/html/rfc6146
6146 Stateful NAT64: Network Address and Protocol Translation from
     IPv6 Clients to IPv4 Servers. M. Bagnulo, P. Matthews, I. van
     Beijnum. April 2011. (Format: TXT=107954 bytes) (Status: PROPOSED
     STANDARD)

https://tools.ietf.org/html/rfc6147
6147 DNS64: DNS Extensions for Network Address Translation from IPv6
     Clients to IPv4 Servers. M. Bagnulo, A. Sullivan, P. Matthews, I. van
     Beijnum. April 2011. (Format: TXT=75103 bytes) (Status: PROPOSED
     STANDARD)

plus several that are listed as "informative" in reading the document. (I note that 6144 was overlooked in the bibliography of draft-ietf-v6ops-464xlat). Hence, this draft is not about technology per se, it is about the use of existing technology in a 3GPP network. Is China Mobile's patent about the use of the technologies in a 3GPP network, or is it on the technologies themselves? What is the substance of the IPR claim? Does it apply to http://tools.ietf.org/html/draft-ietf-v6ops-464xlat-09?

Fred Baker
co-chair, IETF IPv6 Operations Working Group

On Jan 29, 2013, at 7:08 PM, Zhenkai Wang <[email-masked]> wrote:

> Hello IETF,
>  
> As a company, China Mobile has spent lots of efforts like expenditure of man workforce, time, et al. on some technologies. We underline that Intellectual property Rights (IPRs) are an important part of technologies, and also respect IPRs like other companies in the industry.
>  
> The disclosure about patent http://datatracker.ietf.org/ipr/1730/ is a compliance with the rules of the IETF which are defined in RFC 3979, "Intellectual Property Rights in IETF Technology." The licensing declaration for this Document ‘c) Reasonable and Non-Discriminatory License to All Implementers with Possible Royalty/Fee’ made by China Mobile was in accordance with our corporate strategy, as well as industry practice.
>  
> Best regards,
>  
> Wang Zhengkai
>  
> Wang Zhenkai
>  IP Counsel | China Mobile Research Institute
> Office: +86 15801696688-35235 | Mobile: +8613810187794 |
> NO.32 Xuanwumen West Street,Xicheng District,Beijing 100053.China.
>  
> Confidentiality Notice: The information contained in this e-mail and any accompanying attachment(s) is intended only for the use of the intended recipient and may be confidential and/or privileged of China Mobile, its subsidiaries and/or its affiliates. If any reader of this communication is not the intended recipient, unauthorized use, forwarding, printing, storing, disclosure or copying is strictly prohibited, and may be unlawful. If you have received this communication in error, please immediately notify the sender by return e-mail, and delete the original message and all copies from your system. Thank you.
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: Zhenkai Wang <[email-masked]>
Date: Tue, 5 Feb 2013 17:24:12 +0800

Mr Fred:

After we reasonably know the China Mobile’s IPRs meeting the condition of
Section 6 of the RFC 3979 "Intellectual Property Rights in IETF
Technology", we will make disclosure update in accordance with the RFC 3979
for the http://tools.ietf.org/html/draft-ietf-v6ops-464xlat-09.

The patent application CN200910085886.3 is still in the SIPO's examination
process and the patent 200910085887.8 was granted at 2012.12.26, more
details can be read from the SIPO’s website.

 Best regards,

 ------------------------------
  Wang Zhenkai

Confidentiality Notice: The information contained in this e-mail and any
accompanying attachment(s) is intended only for the use of the intended
recipient and may be confidential and/or privileged of China Mobile, its
subsidiaries and/or its affiliates. If any reader of this communication is
not the intended recipient, unauthorized use, forwarding, printing,
storing, disclosure or copying is strictly prohibited, and may be unlawful.
If you have received this communication in error, please immediately notify
the sender by return e-mail, and delete the original message and all copies
from your system. Thank you.

2013/2/3 Fred Baker (fred) <[email-masked]>

> Mr Wang:
>
> I speak here as one of the chairs of v6ops. This is a formal question from
> the IETF to China Mobile, and the answer may affect how the IETF treats the
> posted internet draft..
>
> The question before the house is not whether China Mobile puts effort into
> what it does; we assume that China Mobile does, just as we all do. The
> question regards the substance of the IPR claim - what claims have been
> allowed or filed for in the patent - and whether the claims apply to the
> current version of the draft. The statements of IPR were on the -00 and -01
> versions of the draft, which changed materially before reaching its current
> status.
>
> The draft proposes no new technology; if that were not true, this working
> group could not, by charter, consider it. It depends on several other
> technologies, notably
>
> plus several that are listed as "informative" in reading the document. (I
> note that 6144 was overlooked in the bibliography of
> draft-ietf-v6ops-464xlat). Hence, this draft is not about technology per
> se, it is about the use of existing technology in a 3GPP network. Is China
> Mobile's patent about the use of the technologies in a 3GPP network, or is
> it on the technologies themselves? What is the substance of the IPR claim?
> Does it apply to http://tools.ietf.org/html/draft-ietf-v6ops-464xlat-09?
>
> Fred Baker
> man workforce, time, et al. on some technologies. We underline that
> Intellectual property Rights (IPRs) are an important part of technologies,
> and also respect IPRs like other companies in the industry.
> >
> > The disclosure about patent http://datatracker.ietf.org/ipr/1730/ is a
> compliance with the rules of the IETF which are defined in RFC 3979,
> "Intellectual Property Rights in IETF Technology." The licensing
> declaration for this Document ‘c) Reasonable and Non-Discriminatory License
> to All Implementers with Possible Royalty/Fee’ made by China Mobile was in
> accordance with our corporate strategy, as well as industry practice.
> >
> > Best regards,
> >
> > Wang Zhengkai
> >
> > Wang Zhenkai
> > Confidentiality Notice: The information contained in this e-mail and any
> accompanying attachment(s) is intended only for the use of the intended
> recipient and may be confidential and/or privileged of China Mobile, its
> subsidiaries and/or its affiliates. If any reader of this communication is
> not the intended recipient, unauthorized use, forwarding, printing,
> storing, disclosure or copying is strictly prohibited, and may be unlawful.
> If you have received this communication in error, please immediately notify
> the sender by return e-mail, and delete the original message and all copies
> from your system. Thank you.

---

From: t.petch <[email-masked]>
Date: Tue, 5 Feb 2013 12:27:53 +0000

Thank you for the additional information.

You posted a response to this list on 31st January which referred to a
disclosure http://datatracker.ietf.org/ipr/1730/
which in turn refers to
Application Number ：200910088351.1 Publication Number ：CN 101931658 A

The two numbers you give below seem to refer to a different Application,
and so potentially, a different IPR Claim.  Can you clarify this for us?

Tom Petch

----- Original Message -----
From: "Zhenkai Wang" <[email-masked]>
To: "Fred Baker (fred)" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, February 05, 2013 9:24 AM

Mr Fred:

After we reasonably know the China Mobile’s IPRs meeting the condition
of
Section 6 of the RFC 3979 "Intellectual Property Rights in IETF
Technology", we will make disclosure update in accordance with the RFC
3979
for the http://tools.ietf.org/html/draft-ietf-v6ops-464xlat-09.

The patent application CN200910085886.3 is still in the SIPO's
examination
process and the patent 200910085887.8 was granted at 2012.12.26, more
details can be read from the SIPO’s website.

 Best regards,

> Does it apply to
http://tools.ietf.org/html/draft-ietf-v6ops-464xlat-09?

---

From: Zhenkai Wang <[email-masked]>
Date: Wed, 6 Feb 2013 09:52:04 +0800

Hi,The patent number informations are right, that can be searched in the
SIPO‘ website, or other patent database, eg:www.*google*.com/patentsApplication
Number:200910088351.1
Publication Number:101931658 Application Date:2009-06-26 Publication Date:
2010-12-29 <http://patent.ipexl.com/date/20101229_1.html>
Thank you.
 ------------------------------
  Wang Zhenkai

2013/2/5 t.petch <[email-masked]>

---

From: Cameron Byrne <[email-masked]>
Date: Tue, 5 Feb 2013 18:00:13 -0800

Thanks

Are there any international applications or patent grants that may impact
this work?

Or is it just this one disclosed patent China?

Thanks,

CB

Sent from ipv6-only Android
On Feb 5, 2013 5:52 PM, "Zhenkai Wang" <[email-masked]> wrote:

>  Publication Number:101931658 Application Date:2009-06-26 Publication
> Date:2010-12-29 <http://patent.ipexl.com/date/20101229_1.html>
> Thank you.